View Issue Details

IDProjectCategoryView StatusLast Update
0005427libmicrohttpdHTTP GET/HEADpublic2018-11-06 19:46
ReporterFlorian DoldAssigned ToChristian Grothoff 
PriorityhighSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Versioncurrent SVN 
Target Version0.9.60Fixed in Version0.9.60 
Summary0005427: test_bank_api_with_fakebank fails with null pointer access in MHD
Description$ libtool --mode=execute valgrind ./test_bank_api_with_fakebank
==2850== Memcheck, a memory error detector
==2850== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
==2850== Using Valgrind-3.13.0 and LibVEX; rerun with -h for copyright info
==2850== Command: /home/dold/repos/taler/exchange/src/bank-lib/.libs/lt-test_bank_api_with_fakebank
==2850==
==2850== Invalid write of size 8
==2850== at 0x6BC0C40: gnutls_session_set_ptr (in /usr/lib/libgnutls.so.30.14.11)
==2850== by 0x5ECA0CB: internal_add_connection (daemon.c:2484)
==2850== by 0x5ECAD82: MHD_accept_connection (daemon.c:3085)
==2850== by 0x5ECC3D8: internal_run_from_select (daemon.c:3325)
==2850== by 0x5ECDF10: MHD_select (daemon.c:3600)
==2850== by 0x5ECE1B4: MHD_run (daemon.c:4442)
==2850== by 0x529CCD4: run_mhd (fakebank.c:1049)
==2850== by 0x6F277A1: GNUNET_SCHEDULER_do_work (scheduler.c:2113)
==2850== by 0x6F28495: select_loop (scheduler.c:2410)
==2850== by 0x6F28495: GNUNET_SCHEDULER_run (scheduler.c:725)
==2850== by 0x109B29: main (test_bank_api_with_fakebank.c:169)
==2850== Address 0xe58 is not stack'd, malloc'd or (recently) free'd
TagsNo tags attached.

Activities

Christian Grothoff

2018-08-18 11:01

manager   ~0013220

Fixed in 60fe2b37..66c9ad84

Issue History

Date Modified Username Field Change
2018-08-18 02:45 Florian Dold New Issue
2018-08-18 02:45 Florian Dold Status new => assigned
2018-08-18 02:45 Florian Dold Assigned To => Christian Grothoff
2018-08-18 11:00 Christian Grothoff Project Taler => libmicrohttpd
2018-08-18 11:00 Christian Grothoff Category exchange => General
2018-08-18 11:01 Christian Grothoff Severity major => block
2018-08-18 11:01 Christian Grothoff Category General => HTTP GET/HEAD
2018-08-18 11:01 Christian Grothoff Product Version => current SVN
2018-08-18 11:01 Christian Grothoff Fixed in Version => 0.9.60
2018-08-18 11:01 Christian Grothoff Target Version => 0.9.60
2018-08-18 11:01 Christian Grothoff Note Added: 0013220
2018-08-21 09:11 Christian Grothoff Status assigned => resolved
2018-08-21 09:11 Christian Grothoff Resolution open => fixed
2018-11-06 19:46 Christian Grothoff Status resolved => closed